/*======================================================================================

	Program:		Range Imaging Toolkit (RITK)
	Module:			ritkEvent.cxx
	Version:		$Revision: 1761 $
	Date:			$Date: 2011-09-23 17:25:41 +0200 (Fr, 23 Sep 2011) $

	Copyright (c) 2010-2011
	Pattern Recognition Lab, 
    University Erlangen-Nuremberg, Germany
    All rights reserved.

	This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
	See RITKCopyright.txt for more information.

	http://www5.informatik.uni-erlangen.de/research/software/ritk

========================================================================================*/

#include "ritkEvent.h"

namespace ritk
{

// ===== //
// Event //
// ===== //
QEvent::Type Event::EventType = static_cast<QEvent::Type>(QEvent::registerEventType());

Event::Event() :
	QEvent(EventType)
{
}

Event::Event(QEvent::Type Type) : 
	QEvent(Type)
{
}

Event::~Event()
{
}


// ========= //
// StopEvent //
// ========= //
QEvent::Type StopEvent::EventType = static_cast<QEvent::Type>(QEvent::registerEventType());

StopEvent::StopEvent() :
	Event(EventType)
{
}

StopEvent::~StopEvent()
{
}


// ============= //
// NewFrameEvent //
// ============= //
QEvent::Type NewFrameEvent::EventType = static_cast<QEvent::Type>(QEvent::registerEventType());

NewFrameEvent::NewFrameEvent() :
	Event(EventType)
{
}

NewFrameEvent::~NewFrameEvent()
{
}

// ============ //
// NewFileEvent //
// ============ //
QEvent::Type NewFileEvent::EventType = static_cast<QEvent::Type>(QEvent::registerEventType());

NewFileEvent::NewFileEvent() :
	Event(EventType)
{
}

NewFileEvent::~NewFileEvent()
{
}


} // end namespace ritk
